Connector credentials
A Nylas connector credential is a special type of record that securely stores information (such as provider settings) that allows you to connect using an administrator account. Nylas securely stores, hashes, and encrypts the connector credential's sensitive data, and the contents vary depending on the authentication provider.
Bulk authentication grants use connector credentials to connect or reconnect user accounts to your Nylas application. You can also use them to override a connector's settings to perform administrative tasks. For more information, see the Bulk authentication grant documentation.
Both Google and Microsoft bulk authentication grants can use connector credentials.
To override the default values in a provider's connector settings (for example, the client_secret and client_id), create a grant using Bring Your Own Authentication and provide the connector credential in your request payload, along with the values to override.
Connector credential limitations
Keep the following limitations in mind as you work with connector credentials:
- A connector credential must be connected to an existing Nylas connector.
- Each connector credential must have a unique name.
- When you make a Create Credential request, Nylas checks if a connector credential with the same parameters exists. If one does exist, Nylas uses that connector credential instead of creating one.
GET /v3/connectors/{provider}/credsList credentials for the specified provider.
POST /v3/connectors/{provider}/credsManually create a credential record.
GET /v3/connectors/{provider}/creds/{id}Return a credential with the specified ID.
PATCH /v3/connectors/{provider}/creds/{id}Updates the specified connector credential. When you make a PATCH request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updatin...
DELETE /v3/connectors/{provider}/creds/{id}Delete a credential with the specified ID.